=== src/config/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = cmdline.o conf.o dialogs.o home.o kbdbind.o options.o opttypes.o timer.o urlhist.o

include $(top_srcdir)/Makefile.lib
