=== src/dialogs/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS-$(CONFIG_EXMODE) += exmode.o

OBJS = document.o download.o edit.o info.o menu.o options.o progress.o status.o

include $(top_srcdir)/Makefile.lib
