=== src/document/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS-$(CONFIG_CSS)	+= css
SUBDIRS-$(CONFIG_DOM)	+= dom

SUBDIRS = html plain

OBJS = docdata.o document.o format.o forms.o options.o refresh.o renderer.o

include $(top_srcdir)/Makefile.lib
