=== src/globhist/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

OBJS = globhist.o dialogs.o

include $(top_srcdir)/Makefile.lib
