=== debian/changelog ===
elinks (0.12~pre6-4ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/elinks.config: Change Debian to Ubuntu for user agent.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 11 Dec 2013 00:10:17 -0500

elinks (0.12~pre6-4) unstable; urgency=low

  * Switch to source format 3 (quilt) and drop previously used custom
    patch system
  * Remove 01_setup-bugs-FSSTND.diff (don't hide upstream bugzilla, users
    are smart enough to choose the appropriate BTS)
  * Cleanup www-browser alternative upon removal, thanks Andreas Beckmann!
    (Closes: #730056)
  * Copy full license for the BSD-licensed code and stop referring to
    /usr/share/common-licenses/BSD, spotted by Lintian
  * Add Replaces/Breaks for old elinks-lite packages, thanks Andreas Beckmann!
    (Closes: #730265)

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 21 Nov 2013 00:20:46 +0100

elinks (0.12~pre6-3ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/elinks.config: Change Debian to Ubuntu for useragent
  * Dropped change as its incorported in debian:
    - debian/patches/08_524696_fix_imdb_urls.diff: Patch modified to
      add DEP-3 headers and sent to Debian.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 24 Nov 2013 19:43:42 +0530

elinks (0.12~pre6-3) unstable; urgency=low

  * Flip Maintainers/Uploaders, Giridhar has been inactive for a while
  * Drop the elinks-lite package. It was introduced nearly ten years ago
    and the potential saving in disk space is negligable these days.
    Also, many of the previously used external libs/bindings (Guile, 
    Ruby, Spidermonkey and Python) are no longer used in the current
    elinks package. elinks-lite is now a transition package to elinks.
  * Fix smart url for current IMDB site, thanks to Matthew Fischer for
    the patch (Closes: #728143)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 13 Nov 2013 22:55:35 +0100

elinks (0.12~pre6-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/08_524696_fix_imdb_urls.diff: Patch modified to
        add DEP-3 headers and sent to Debian.
    - debian/elinks.config: Change Debian to Ubuntu for useragent

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Mon, 28 Oct 2013 13:59:09 -0700

elinks (0.12~pre6-2) unstable; urgency=low

  * Remove 05_skip-xmlto-validation.diff, no longer needed. Thanks to
    Ahmed El-Mahmoudy for the report.
  * Pass --disable-silent-rules to configure to avoid silent build
    logs. Tools like blhc and toolchain maintainers need full logs.

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 18 Sep 2013 16:43:12 +0200

elinks (0.12~pre6-1ubuntu2) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 14:53:53 +0100

elinks (0.12~pre6-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/08_524696_fix_imdb_urls.diff: imdb.com/Find no longer
      works, fixing imdb url.
    - debian/elinks.config: Change Debian to Ubuntu.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 13 May 2013 18:51:16 -0400

elinks (0.12~pre6-1) unstable; urgency=low

  * New upstream release
    - Dropped 10-CVE-2012-4545.diff (included upstream)	 
    - Dropped 07-big-endian-64-bit.diff	 
  * Standards-Version 3.9.4 (no changes needed)
	
 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 09 May 2013 01:18:18 +0200

elinks (0.12~pre5-9ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1074357).  Remaining changes:
    - imdb.com/Find no longer works, fixing imdb url (LP: #524696)
      * renamed 07_524696_fix_imdb_urls.diff to 08_524696_fix_imdb_urls.diff
    - debian/elinks.config: Change Debian to Ubuntu, thanks to Y
      Giridhar Appaji Nag (LP: #241022)

 -- Vibhav Pant <vibhavp@gmail.com>  Mon, 05 Nov 2012 22:39:37 +0100

elinks (0.12~pre5-9) unstable; urgency=medium

  * Fix CVE-2012-4545

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 01 Nov 2012 10:53:19 +0100

elinks (0.12~pre5-8ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (fixing build failure).  Remaining changes:
    - imdb.com/Find no longer works, fixing imdb url (LP: #524696)
      * renamed 07_524696_fix_imdb_urls.diff to 08_524696_fix_imdb_urls.diff
    - debian/elinks.config: Change Debian to Ubuntu, thanks to Y
      Giridhar Appaji Nag (LP: #241022)

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Sep 2012 15:25:19 +0200

elinks (0.12~pre5-8) unstable; urgency=low

  * Apply patch from Guillem Jover to switch to Lua 5.1, thanks!
    (Closes: #674617)
  * Enable pie and znow
  * Disable support for Ruby scripting, which is not yet compatible
    with Ruby 1.9. This has always been an esoteric feature anyway
    (Closes: #676119)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 27 May 2012 12:17:42 +0200

elinks (0.12~pre5-7ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - imdb.com/Find no longer works, fixing imdb url (LP: #524696)
      * renamed 07_524696_fix_imdb_urls.diff to 08_524696_fix_imdb_urls.diff
    - debian/elinks.config: Change Debian to Ubuntu, thanks to Y
      Giridhar Appaji Nag (LP: #241022)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2012 09:33:06 -0500

elinks (0.12~pre5-7) unstable; urgency=low

  * Fix handling of CPPFLAGS, thanks to Simon Ruderich (Closes: #652449)
    I won't enable pie and znow for now, they'll be activated in the
    default flags at some point.	 

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 19 Dec 2011 23:47:27 +0100

elinks (0.12~pre5-6) unstable; urgency=low

  * Remove now obsolete 06_551238_SMJS-FTBFS.diff patch
  * Stop using a hardcoded list of non-Linux architectures 
    for the GPM dependency (Closes: #634376)
  * Stop using deprecated GNU TLS functions. Backport upstream
    commits by Kalle Olavi Niemitalo. Thanks to Andreas Metzler
    for the report (Closes: #624064, Closes: #624084)

