=== debian/control ===
Source: elinks
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Moritz Muehlenhoff <jmm@debian.org>
Uploaders: Y Giridhar Appaji Nag <appaji@debian.org>
Build-Depends: debhelper, libtre-dev, libgnutls-dev, libidn11-dev,
	libfsplib-dev, libgpm-dev [linux-any],
	liblua5.1-dev, libbz2-dev, libexpat1-dev (>= 1.95.6),
	libperl-dev, libkrb5-dev, gettext,
	autotools-dev, python, xmlto, docbook-utils, pkg-config
Build-Conflicts: libgc-dev
Standards-Version: 3.9.4
Homepage: http://elinks.cz/

Package: elinks
Architecture: any
Depends: ${shlibs:Depends}, elinks-data (= ${source:Version}), ${misc:Depends}
Suggests: elinks-doc
Provides: www-browser
Description: advanced text-mode WWW browser
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming

Package: elinks-data
Architecture: all
Depends: ${misc:Depends}
Recommends: elinks (= ${source:Version})
Conflicts: elinks (<< 0.11.3-1)
Replaces: elinks (<< 0.11.3-1), elinks-lite (<< 0.12~pre6-3)
Breaks: elinks-lite (<< 0.12~pre6-3)
Description: advanced text-mode WWW browser - data files
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming
 .
 This package contains the data files that are necessary to use ELinks.

Package: elinks-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: elinks
Conflicts: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
Description: advanced text-mode WWW browser - documentation
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
  * Lots of protocols (local files, finger, HTTP(S), FTP, IPv4/6 etc.)
  * Internationalized domain names
  * Persistent cookies, HTTP authentication and proxy authentication
  * Tabbed browsing, good looking menus and dialogs, and key-binding manager
  * History browsing and typeahead searches
  * Forms history and completion, and history in commonly used input dialogs
  * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
  * Tables and frames rendering, and configurable color support
  * Compressed and background (non-blocking) downloads, and download resuming
 .
 This package contains the documentation and manuals for ELinks.

Package: elinks-lite
Priority: extra
Architecture: any
Depends: elinks
Description: advanced text-mode WWW browser (transition package)
 ELinks is a feature-rich program for browsing the web in text mode.  It is
 like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
 .
 This is a transition package for the move from elinks-lite to elinks.
 It can be safely removed.
