## elinks 0.13~20190125

=== src/bookmarks/Makefile ===
top_builddir=../..
include $(top_builddir)/Makefile.config

SUBDIRS = backend
OBJS	= bookmarks.o dialogs.o

include $(top_srcdir)/Makefile.lib
