=== src/encoding/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 top_builddir=../..
 include $(top_builddir)/Makefile.config
 
+
+OBJS-$(CONFIG_BROTLI)	+= brotli.o
 OBJS-$(CONFIG_BZIP2)	+= bzip2.o
 OBJS-$(CONFIG_GZIP)	+= deflate.o
 OBJS-$(CONFIG_LZMA)	+= lzma.o
