=== debian/changelog ===
elinks (0.13~20190125-3ubuntu1) eoan; urgency=medium

  * debian/tests/{control,basic-usage}: add basic test case (LP: #1677841)

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Thu, 15 Aug 2019 08:38:14 -0300

elinks (0.13~20190125-3) unstable; urgency=medium

  * Upload to unstable
  * Rename gitlab-ci.yaml to gitlab-ci.yml

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 10 Feb 2019 05:43:02 +0100

elinks (0.13~20190125-2) experimental; urgency=medium

  * Mention felinks fork in description
  * Disable Spidermonkey (Closes: #920924)
    mozjs185 has been removed in Debian, and upstream does not support later
    versions
  * Add gitlab-ci.yaml

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 05 Feb 2019 07:38:15 +0100

elinks (0.13~20190125-1) experimental; urgency=medium

  * New upstream release (Closes: #891575, #797931, #797934, #757631,
    #866015, #797968, #740981, #856852)
  * Add git-buildpackage conf file
  * Refreshed patches & removed patches that were includes upstream.
    Removed patches:
    08-drop-deprecated-gnutls-functions.diff
    08_524696_fix_imdb_urls.diff
    09-Switch-to-use-lua-5.1.diff
    11-fix-compat-with-gnutls36.patch
  * Add libgcrypt20-dev to build deps
  * Re-added 14_debug_disable_Werror.diff to enable development versions debug
    support
  * Added 16_POST_BUFFER_SIZE.diff patch which to enable  uploading large files
    over https:// connections.
  * Add ascii-replacement-utf8-console.diff patch to print ASCII replacement
    for characters not found in current codepage in utf8 mode
  * Enable LZMA support
  * Enable BitTorrent
  * Enable NNTP Support
  * Enable Unicode combining characters support
  * Enable EX mode support
  * Enable SpiderMonkey support
  * Enable terminfo support
  * Build documentation
  * Build with libev
  * Bumped to compat level 12.
    No need to have dh-autoreconf, autotools-dev from build deps
    Also no need to explicitly call the respective sequences in rules
  * Remove old upstream gpg key.
  * Remove whitespaces
  * Renamed elinks.config to elinks.conf, old name confused build scrips
  * debian/rules: Override dh_installexamples to exclude .gitignore
  * Add typos.diff patch to fix spelling mistakes
  * debian/control:
    + Replace Conflicts with Breaks+Replaces
    + Update standards version to 4.3.0
    + New maintainer (Closes: #917406)
    + Add Vcs-* fields
  * Add upstream metadata
  * Switch to DEP-5 copyright format
  * Disable pristine-tar, since we are getting the release from upstream git

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 26 Jan 2019 02:53:52 +0100

elinks (0.12~pre6-14) unstable; urgency=medium

  * Orphan package
  * Disable openpgp certificate support, fixes compatability with
    gnutls 3.6, thanks to Andreas and Dimitri (Closes: #879539)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 26 Dec 2018 23:49:50 +0100

elinks (0.12~pre6-13) unstable; urgency=medium

  * Mark elinks-data and elinks-doc Multi-Arch: foreign, thanks to
    Helmut Grohne (Closes: #862197)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 12 Nov 2017 21:28:57 +0100

elinks (0.12~pre6-12) unstable; urgency=medium

  * Fix maint script (Closes: #788160)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 23 Oct 2016 21:17:47 +0200

elinks (0.12~pre6-11) unstable; urgency=medium

  * Add maint script for dir_to_symlink (Closes: #788160)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 28 Nov 2015 09:31:42 +0100

elinks (0.12~pre6-10) unstable; urgency=medium

  * Use autotools-dev in addition, thanks Wookey (Closes: #788321)
  * Remove Y Giridhar Appaji Nag from uploaders, inactive for quite
    a while now

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 04 Jul 2015 23:09:17 +0200

elinks (0.12~pre6-9) unstable; urgency=medium

  * Use dh-autoreconf to support arm64 (Closes: #788321)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 17 Jun 2015 23:51:53 +0200

elinks (0.12~pre6-8) unstable; urgency=medium

  * Make the build reproducible by stripping the __DATE__ and __TIME__
    macros (only used in "elinks --version").

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 07 Jun 2015 12:22:04 +0200

elinks (0.12~pre6-7) unstable; urgency=low

  * Actually bump debhelper to 9, this got lost on the way. Thanks, Simon.
    (Closes: #784194)
  * Trim postinst. Thanks, Jakub. (Closes: #784217)

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 05 May 2015 22:23:54 +0200

elinks (0.12~pre6-6) unstable; urgency=low

  * Switch to a minimal rules file based on dh
  * Remove transition package elinks-lite, jessie has been released
  * Drop outdated README.source
  * Trim the installed documentation

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 03 May 2015 00:14:34 +0200

elinks (0.12~pre6-5) unstable; urgency=medium

  * Remove desktop file. Elinks is predominantly an application which
    people use who run an X-less system or which is used for scripts.
    A desktop file clutters the menu of the full-blown desktop
    environments. And the Debian menu entry still stays around anyway.
    (Closes: #748098)
  * Build against libgnutls28-dev (Closes: #753023)
  * Bump standards version
  * Convert copyright file to UTF8, spotted by Lintian
  * Trim default value for protocol.http.user_agent in default config.

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 27 Jun 2014 17:05:07 +0200
