=== debian/control ===
--- 
+++ 
@@ -2,20 +2,25 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Moritz Muehlenhoff <jmm@debian.org>
-Uploaders: Y Giridhar Appaji Nag <appaji@debian.org>
-Build-Depends: debhelper, libtre-dev, libgnutls-dev, libidn11-dev,
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Build-Depends: debhelper (>= 12), libtre-dev, libgnutls28-dev, libgcrypt20-dev, libidn11-dev,
 	libfsplib-dev, libgpm-dev [linux-any],
-	liblua5.1-dev, libbz2-dev, libexpat1-dev (>= 1.95.6),
+	liblua5.1-dev, libbz2-dev, libexpat1-dev,
 	libperl-dev, libkrb5-dev, gettext,
-	autotools-dev, python, xmlto, docbook-utils, pkg-config
+	python, xmlto, docbook-utils, pkg-config,
+  liblzma-dev,
+  libncurses5-dev
+  ,libev-libevent-dev
 Build-Conflicts: libgc-dev
-Standards-Version: 3.9.4
+Standards-Version: 4.3.0
 Homepage: http://elinks.cz/
+Vcs-Git: https://salsa.debian.org/aelmahmoudy-guest/elinks.git
+Vcs-Browser: https://salsa.debian.org/aelmahmoudy-guest/elinks
 
 Package: elinks
 Architecture: any
 Depends: ${shlibs:Depends}, elinks-data (= ${source:Version}), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: elinks-doc
 Provides: www-browser
 Description: advanced text-mode WWW browser
@@ -31,14 +36,18 @@
   * CSS support and support for browser scripting (Perl, Lua, Guile etc.)
   * Tables and frames rendering, and configurable color support
   * Compressed and background (non-blocking) downloads, and download resuming
+ .
+ This package is based on felinks fork, since original elinks seems to be no
+ longer maintained.
 
 Package: elinks-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: elinks (= ${source:Version})
-Conflicts: elinks (<< 0.11.3-1)
+Breaks: elinks (<< 0.11.3-1), elinks-lite (<< 0.12~pre6-3)
 Replaces: elinks (<< 0.11.3-1), elinks-lite (<< 0.12~pre6-3)
-Breaks: elinks-lite (<< 0.12~pre6-3)
 Description: advanced text-mode WWW browser - data files
  ELinks is a feature-rich program for browsing the web in text mode.  It is
  like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
@@ -58,9 +67,12 @@
 Package: elinks-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: elinks
-Conflicts: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
+Breaks: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
+Replaces: elinks (<< 0.11.3-1), elinks-lite (<< 0.11.3-1)
 Description: advanced text-mode WWW browser - documentation
  ELinks is a feature-rich program for browsing the web in text mode.  It is
  like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
@@ -76,14 +88,3 @@
   * Compressed and background (non-blocking) downloads, and download resuming
  .
  This package contains the documentation and manuals for ELinks.
-
-Package: elinks-lite
-Priority: extra
-Architecture: any
-Depends: elinks
-Description: advanced text-mode WWW browser (transition package)
- ELinks is a feature-rich program for browsing the web in text mode.  It is
- like enhanced Lynx and Links.  The most noteworthy features of ELinks are:
- .
- This is a transition package for the move from elinks-lite to elinks.
- It can be safely removed.
