=== debian/tests/control ===
Tests: basic-usage
Depends: @, nginx
Restrictions: needs-root
